<script setup>
import { sendRequest } from './scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/export/product', (formData) => {
                return 'Products.xlsx';
            });
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Экспорт: :type', {
                    type: __('Продукты'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <button type="submit" class="btn btn-success btn-block">
                    {{ __('Экспортировать') }}
                </button>
            </form>
        </div>
    </div>
</template>
